Package org.apache.lucene.geo

## Class Geometry

- java.lang.Object
- - org.apache.lucene.geo.Geometry

- Direct Known Subclasses:
    `LatLonGeometry`, `XYGeometry`

      public abstract class Geometry
      extends Object

  Base class for `LatLonGeometry` and `XYGeometry`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Geometry()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract Component2D` | `toComponent2D()` | get a Component2D from the geometry object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Geometry

          public Geometry()

  - ### Method Detail

    - #### toComponent2D

          protected abstract Component2D toComponent2D()

      get a Component2D from the geometry object